Scribus Forums

Scribus => Installation and Setup => Linux => Topic started by: YannK on June 22, 2012, 06:44:17 pm

Title: svn1.5 cmake error on Debian Sid 64 [ no rule to make << /usr/lib/python3.2/>>]
Post by: YannK on June 22, 2012, 06:44:17 pm
Hello,
as I would like to try to open an indd file, I have tried to compile the latest SVN version.
I have done a " cmake . " with no problem (just had to install some dependencies) but the make step close on  an Error 2,  as it seems there is some trouble with python lib.
Here is the display of my make :
Code: [Select]
[  0%] Built target scribus_pgf_lib
[  1%] Built target scribus_colormgmt_lib
[  1%] Built target scribus_desaxe_lib
[  2%] Built target scribus_fonts_lib
[  2%] Built target scribus_styles_lib
[  3%] Built target scribus_text_lib
[  7%] Built target scribus_cairo_lib
[  9%] Built target scribus_2geom_lib
[ 10%] Built target scribus_wpg_lib
make[2]: *** Pas de règle pour fabriquer la cible « /usr/lib/python3.2/config/libpython3.2.so », nécessaire pour « scribus/scribus ». Arrêt.
make[1]: *** [scribus/CMakeFiles/scribus.dir/all] Erreur 2
make: *** [all] Erreur 2
^C
[1]+  Termine 2               make

I have many python on my system and I have made some ls to check it out. Even a
Code: [Select]
ls -la /usr/lib/python3.2/config/libpython3.2.sogives me
Code: [Select]
/usr/lib/python3.2/config/libpython3.2.so -> libpython3.2mu.so
So it seems the lib is there, even the make doesn't see it...

As I am not at all a specialist of compilation, I don't know what to do next...

My system is a Debian/GNU Linux 2.6.38-2-amd64
Title: Re: svn1.5 cmake error on Debian Sid 64 [ no rule to make << /usr/lib/python3.2/>>]
Post by: a.l.e on June 22, 2012, 11:57:27 pm
do you have also python 2.7 installed?

i don't think that scribus can use python 3.2...

if this is the case, you may write a bug report stating that cmake should not find python 3.2 if it can't use it...

ciao
a.le
Title: Re: svn1.5 cmake error on Debian Sid 64 [ no rule to make << /usr/lib/python3.2/>>]
Post by: YannK on June 23, 2012, 02:11:00 pm
Yes I have python2.4/ python2.5/ python2.6/ python2.7/ python3/   python3.2/  in my /usr/lib
Title: Re: svn1.5 cmake error on Debian Sid 64 [ no rule to make << /usr/lib/python3.2/>>]
Post by: a.l.e on June 24, 2012, 09:45:13 pm
hard for me for to help you...

but with as many python versions installed, i must think that the expert is you :-)

you will probably have to have at the cmake modules and try to guess why scribus is picking the wrong python:
- it could be an error in the relevant cmake file
- it could be one of your paths that is not correctly set.

sorry, can't help more...

maybe you can try on the scribus mailing list... there are a few more expert eyes in there..

ciao
a.l.e
Title: Re: svn1.5 cmake error on Debian Sid 64 [ no rule to make << /usr/lib/python3.2/>>]
Post by: YannK on June 25, 2012, 11:22:19 am
I am not at all an expert, it is just I have kept my computer for a while, so I have many old versions of Python. :)
Perhaps I will see if I can get a functional daily built, as I don't want to spent too many time on this.

Tanhks for your help anyway